aboutsummaryrefslogtreecommitdiff
path: root/tests/docker/run
diff options
context:
space:
mode:
Diffstat (limited to 'tests/docker/run')
-rwxr-xr-xtests/docker/run4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/docker/run b/tests/docker/run
index ddfac05bd4..d85d49afc1 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -11,6 +11,8 @@
# or (at your option) any later version. See the COPYING file in
# the top-level directory.
+set -e
+
if test -n "$V"; then
set -x
fi
@@ -61,4 +63,6 @@ elif test -n "$DEBUG"; then
echo
# Force error after shell exits
$SHELL && exit 1
+else
+ exit 1
fi